<!DOCTYPE html>
<html>
  <head>
  <meta charset="utf-8">
  <title>fourchette</title>
  <link rel="stylesheet" href="css/style.css">

</head>
<body class="fond">

<input class="btn3" type="button" id="lancer" value="La Fourchette" />
<input class="btn1"  type="button" id="lancer2" value="Juste Prix" />
<input class="btn2"  type="button" id="lancer3" value="Ca touche .. Pas" />
<h1 class="T_principal">Page des Jeux JS</h1>
<h2 class="T_bas">*⎯⎯⎯⎯⎯⎯⎯⎯⎯⎯⎯⎯⎯⎯⎯ Bonne Chance ! Good Luck ! ⎯⎯⎯⎯⎯⎯⎯⎯⎯⎯⎯⎯⎯⎯⎯*</h2>
<h2 class="titre3">Jeu de la Fouchette!</h2>
<h2 class="titre1">Jeu du Juste Prix!</h2>
<h2 class="titre2">Sa touche, sa touche pas!</h2>
<img class="img" src="fond.jpg">

<script>
var b1 = document.getElementById("lancer").addEventListener("click",jeuA);
var b2 = document.getElementById("lancer2").addEventListener("click",jeuB);
var b3 = document.getElementById("lancer3").addEventListener("click",tp);

  function jeuA(){

var texte = prompt('Quel est le chiffre entre 1 et 100');
var nb = Math.ceil(Math.random() * 100);

while(texte != nb)  {

     if(texte > nb) 
         
         alert('cest moins');
     
     else
          
         alert('Cest plus');

     texte = prompt('Choisir un chiffre entre 1 et 100');
     
}
    if(texte = nb){

    alert('bravo');


}

}

  function jeuB(){

            var ordi = 50;
            var player;
            var min = 0;
            var max = 101;

            while(player!="!")
                {            
                    player = prompt("Plus grand ou plus petit que " + ordi + " ?");
                    if (player == "+") {
                        min = ordi;
                        ordi = Math.floor((min+max)/2);
                    }if (player == "-") {
                        max = ordi;
                        ordi= Math.floor((min+max)/2);
                    }
                }    
                if (player == "!") {
                        alert("YEEESSS EZ GAME");
                    } 

}


  function tp(){

     var saisie = prompt('Ecris le mot que tu souhaite!');
 var autre = saisie.toLowerCase();

  if((autre.indexOf('b') >=0) || (autre.indexOf('m') >=0) || (autre.indexOf('p') >=0)) {

    alert('Ca touche !');
  }

  else{

    alert('Ca touche pas !');

}
 }






</script>

</body>
</html>